ServerEvents.recipes((event) => {
  event
    .shaped("projecte:watch_of_flowing_time", ["MGM", "OCO", "MGM"], {
      M: "projectexpansion:green_matter",
      G: "minecraft:glowstone",
      O: "minecraft:obsidian",
      C: "minecraft:clock",
    })
    .noMirror()
    .noShrink();

  // POWER FLOWERS
  event.remove({ output: "projectexpansion:basic_power_flower" });
  event.shaped("projectexpansion:basic_power_flower", ["CLC", "RSR", "RRR"], {
    C: "projectexpansion:basic_compressed_collector",
    L: "projectexpansion:basic_emc_link",
    R: "projectexpansion:basic_relay",
    S: "kubejs:botanical_shard_block",
  });
  event.remove({ output: 'projectexpansion:dark_power_flower' })
  event.shaped("projectexpansion:dark_power_flower", ["CLC", "RSR", "RRR"], {
    C: "projectexpansion:dark_compressed_collector",
    L: "projectexpansion:dark_emc_link",
    R: "projectexpansion:dark_relay",
    S: "projectexpansion:basic_power_flower",
  });
  event.remove({ output: 'projectexpansion:red_power_flower' })
  event.shaped("projectexpansion:red_power_flower", ["CLC", "RSR", "RRR"], {
    C: "projectexpansion:red_compressed_collector",
    L: "projectexpansion:red_emc_link",
    R: "projectexpansion:red_relay",
    S: "projectexpansion:dark_power_flower",
  });
  event.remove({ output: 'projectexpansion:magenta_power_flower' })
  event.shaped("projectexpansion:magenta_power_flower", ["CLC", "RSR", "RRR"], {
    C: "projectexpansion:magenta_compressed_collector",
    L: "projectexpansion:magenta_emc_link",
    R: "projectexpansion:magenta_relay",
    S: "projectexpansion:red_power_flower",
  });
  event.remove({ output: 'projectexpansion:pink_power_flower' })
  event.shaped("projectexpansion:pink_power_flower", ["CLC", "RSR", "RRR"], {
    C: "projectexpansion:pink_compressed_collector",
    L: "projectexpansion:pink_emc_link",
    R: "projectexpansion:pink_relay",
    S: "projectexpansion:magenta_power_flower",
  });
  event.remove({ output: 'projectexpansion:purple_power_flower' })
  event.shaped("projectexpansion:purple_power_flower", ["CLC", "RSR", "RRR"], {
    C: "projectexpansion:purple_compressed_collector",
    L: "projectexpansion:purple_emc_link",
    R: "projectexpansion:purple_relay",
    S: "projectexpansion:pink_power_flower",
  });
  event.remove({ output: 'projectexpansion:violet_power_flower' })
  event.shaped("projectexpansion:violet_power_flower", ["CLC", "RSR", "RRR"], {
    C: "projectexpansion:violet_compressed_collector",
    L: "projectexpansion:violet_emc_link",
    R: "projectexpansion:violet_relay",
    S: "projectexpansion:purple_power_flower",
  });
  event.remove({ output: 'projectexpansion:blue_power_flower' })
  event.shaped("projectexpansion:blue_power_flower", ["CLC", "RSR", "RRR"], {
    C: "projectexpansion:blue_compressed_collector",
    L: "projectexpansion:blue_emc_link",
    R: "projectexpansion:blue_relay",
    S: "projectexpansion:violet_power_flower",
  });
});
